@import "../../../../scss/variables";
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.data-table {
  display: grid;
  max-width: 100%;
  height: 100%;
  overflow: auto;
  grid-template-rows: 44px repeat(auto-fill, 35px);
  grid-auto-rows: 35px;
  // grid-template-columns: repeat(var(--colNum), 1fr);
}

.item-grid {
  display: flex;
  align-items: center;
  padding-right: 1rem;
  padding-left: 1.25rem;
  cursor: pointer;
  background-color: white;
}

.visited {
  background-color: $table-selected-item-color;
}

.selected {

  span {
    color: $tomato-color;
  }

  svg path {
    fill: $tomato-color !important;
  }

  .warning-complexity {
    color: $tomato-color !important;
  }
}

.column-header {
  position: sticky;
  top: 0;
  background-color: $grey-background-color;
  display: flex;
  justify-content: flex-start;
  border-bottom: 1px solid $grey-super-light-color;
  padding-left: 1.25rem;
  // To be on top of the tooltip element (which has a position: relative)
  z-index: 1;

  span {
    cursor: pointer;
  }

  .sort-icons {
    display: flex;
    flex-direction: column;
    align-self: center;

    .icon {
      height: 0.2rem;
      width: unset;
      justify-content: center;
    }

    .icon-red {
      color: $tomato-color;
    }
  }

  .column-title {
    margin-left: 0.3rem;
    font-weight: 600;
    font-size: 0.75rem;
  }
}

.data-table > .column-header ~ .column-header {
  padding-left: none;
}

.arrows {
  svg {
    /* stylelint-disable-line */
    margin-right: 1rem;
    width: 16px;
    fill: $grey-dark-color;
    transform: rotate(-90deg);
  }
}

a.data-property-value {
  font-size: 0.875rem;
}

[class^="tooltip"] {
  svg path {
    fill: $grey-dark-color;
  }

  .warning-complexity {
    color: $brand-color;
    margin-left: 0.5rem;
  }

  position: relative;
  display: flex;
  align-items: center;

  &::after {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    content: attr(data-tooltip);
    padding: 6px 10px;
    top: 1.4em;
    left: 50%;
    transform: translateX(-50%) translateY(-2px);
    background: grey;
    color: white;
    white-space: nowrap;
    z-index: 2;
    border-radius: 2px;
    transition: opacity 0.2s cubic-bezier(0.64, 0.09, 0.08, 1), transform 0.2s cubic-bezier(0.64, 0.09, 0.08, 1);
  }

  &:hover {
    &::after {
      display: block;
      opacity: 1;
      visibility: visible;
      transform: translateX(-50%) translateY(0);
    }
  }
}
